Search documentation of wx

# View Source wxCalendarDateAttr (wx v2.4.2)

Functions for wxCalendarDateAttr class

`wxCalendarDateAttr` is a custom attributes for a calendar date. The objects of this class are used with `wxCalendarCtrl`.

See: `wxCalendarCtrl`

wxWidgets docs: wxCalendarDateAttr

# Summary

## Types

wxCalendarDateAttr()

## Functions

destroy(This)

Destroys the object.

getBackgroundColour(This)

Returns the background colour set for the calendar date.

getBorder(This)

Returns the border set for the calendar date.

getBorderColour(This)

Returns the border colour set for the calendar date.

getFont(This)

Returns the font set for the calendar date.

getTextColour(This)

Returns the text colour set for the calendar date.

hasBackgroundColour(This)

Returns true if a non-default text background colour is set.

hasBorder(This)

Returns true if a non-default (i.e. any) border is set.

hasBorderColour(This)

Returns true if a non-default border colour is set.

hasFont(This)

Returns true if a non-default font is set.

hasTextColour(This)

Returns true if a non-default text foreground colour is set.

isHoliday(This)

Returns true if this calendar day is displayed as a holiday.

new()
new/1

Constructor for specifying all `wxCalendarDateAttr` properties.

new(Border, Options)

Constructor using default properties except the given border.

setBackgroundColour(This, ColBack)

Sets the text background colour to use.

setBorder(This, Border)

Sets the border to use.

setBorderColour(This, Col)

Sets the border colour to use.

setFont(This, Font)

Sets the font to use.

setHoliday(This, Holiday)

If `holiday` is true, this calendar day will be displayed as a holiday.

setTextColour(This, ColText)

Sets the text (foreground) colour to use.

# Types

Link to this type

# wxCalendarDateAttr()

View Source

    -type wxCalendarDateAttr() :: wx:wx_object().

# Functions

Link to this function

# destroy(This)

View Source

    -spec destroy(This :: wxCalendarDateAttr()) -> ok.

Destroys the object.

Link to this function

# getBackgroundColour(This)

View Source

    -spec getBackgroundColour(This) -> wx:wx_colour4() when This :: wxCalendarDateAttr().

Returns the background colour set for the calendar date.

Link to this function

# getBorder(This)

View Source

    -spec getBorder(This) -> wx:wx_enum() when This :: wxCalendarDateAttr().

Returns the border set for the calendar date.

Link to this function

# getBorderColour(This)

View Source

    -spec getBorderColour(This) -> wx:wx_colour4() when This :: wxCalendarDateAttr().

Returns the border colour set for the calendar date.

Link to this function

# getFont(This)

View Source

    -spec getFont(This) -> wxFont:wxFont() when This :: wxCalendarDateAttr().

Returns the font set for the calendar date.

Link to this function

# getTextColour(This)

View Source

    -spec getTextColour(This) -> wx:wx_colour4() when This :: wxCalendarDateAttr().

Returns the text colour set for the calendar date.

Link to this function

# hasBackgroundColour(This)

View Source

    -spec hasBackgroundColour(This) -> boolean() when This :: wxCalendarDateAttr().

Returns true if a non-default text background colour is set.

Link to this function

# hasBorder(This)

View Source

    -spec hasBorder(This) -> boolean() when This :: wxCalendarDateAttr().

Returns true if a non-default (i.e. any) border is set.

Link to this function

# hasBorderColour(This)

View Source

    -spec hasBorderColour(This) -> boolean() when This :: wxCalendarDateAttr().

Returns true if a non-default border colour is set.

Link to this function

# hasFont(This)

View Source

    -spec hasFont(This) -> boolean() when This :: wxCalendarDateAttr().

Returns true if a non-default font is set.

Link to this function

# hasTextColour(This)

View Source

    -spec hasTextColour(This) -> boolean() when This :: wxCalendarDateAttr().

Returns true if a non-default text foreground colour is set.

Link to this function

# isHoliday(This)

View Source

    -spec isHoliday(This) -> boolean() when This :: wxCalendarDateAttr().

Returns true if this calendar day is displayed as a holiday.

Link to this function

# new()

View Source

    -spec new() -> wxCalendarDateAttr().

Link to this function

# new/1

View Source

    -spec new(Border) -> wxCalendarDateAttr() when Border :: wx:wx_enum();
             ([Option]) -> wxCalendarDateAttr()
                 when
                     Option ::
                         {colText, wx:wx_colour()} |
                         {colBack, wx:wx_colour()} |
                         {colBorder, wx:wx_colour()} |
                         {font, wxFont:wxFont()} |
                         {border, wx:wx_enum()}.

Constructor for specifying all `wxCalendarDateAttr` properties.

Link to this function

# new(Border, Options)

View Source

    -spec new(Border, [Option]) -> wxCalendarDateAttr()
                 when Border :: wx:wx_enum(), Option :: {colBorder, wx:wx_colour()}.

Constructor using default properties except the given border.

Link to this function

# setBackgroundColour(This, ColBack)

View Source

    -spec setBackgroundColour(This, ColBack) -> ok
                                 when This :: wxCalendarDateAttr(), ColBack :: wx:wx_colour().

Sets the text background colour to use.

Link to this function

# setBorder(This, Border)

View Source

    -spec setBorder(This, Border) -> ok when This :: wxCalendarDateAttr(), Border :: wx:wx_enum().

Sets the border to use.

Link to this function

# setBorderColour(This, Col)

View Source

    -spec setBorderColour(This, Col) -> ok when This :: wxCalendarDateAttr(), Col :: wx:wx_colour().

Sets the border colour to use.

Link to this function

# setFont(This, Font)

View Source

    -spec setFont(This, Font) -> ok when This :: wxCalendarDateAttr(), Font :: wxFont:wxFont().

Sets the font to use.

Link to this function

# setHoliday(This, Holiday)

View Source

    -spec setHoliday(This, Holiday) -> ok when This :: wxCalendarDateAttr(), Holiday :: boolean().

If `holiday` is true, this calendar day will be displayed as a holiday.

Link to this function

# setTextColour(This, ColText)

View Source

    -spec setTextColour(This, ColText) -> ok when This :: wxCalendarDateAttr(), ColText :: wx:wx_colour().

Sets the text (foreground) colour to use.